Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.lib.instrumentation
Enum InstrumentationLevel

    java.lang.Object
      java.lang.Enum<InstrumentationLevel>
          org.apache.openjpa.lib.instrumentation.InstrumentationLevel

All Implemented Interfaces:
  Serializable, Comparable<InstrumentationLevel>

    public enum InstrumentationLevel

extends Enum<InstrumentationLevel>

The instrumentation level can be used to indicate if and when an instrument will be automatically started and stopped.

Enum Constant Summary
`BROKER` Start following broker/em initialization and stop when the broker/em is closed.
`FACTORY` Start following factory initialization and stop when the factory is closed.
`IMMEDIATE` Start immediately (no special requirements on the broker or factory) and stop when the configuration is closed.
`MANUAL` Manual start and stop.

Method Summary
`static InstrumentationLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InstrumentationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMMEDIATE

    public static final InstrumentationLevel IMMEDIATE

  Start immediately (no special requirements on the broker or factory) and stop when the configuration is closed.

### FACTORY

    public static final InstrumentationLevel FACTORY

  Start following factory initialization and stop when the factory is closed.

### BROKER

    public static final InstrumentationLevel BROKER

  Start following broker/em initialization and stop when the broker/em is closed.

### MANUAL

    public static final InstrumentationLevel MANUAL

  Manual start and stop.

Method Detail

### values

    public static InstrumentationLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InstrumentationLevel c : InstrumentationLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InstrumentationLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.